From f3fe3c818cf277a547024492abd90c155dab1cd4 Mon Sep 17 00:00:00 2001
From: Lukas Fleischer <calcurse@cryptocrack.de>
Date: Mon, 18 Aug 2014 12:16:42 +0200
Subject: Gracefully handle all day events in iCal imports
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Do not create two events when importing an event that lasts an entire
day.

Reported-by: Jörn Tillmanns <tillmanns@tuxzone.org>
Reported-by: Håkan Jerning <jerning@home.se>
Signed-off-by: Lukas Fleischer <calcurse@cryptocrack.de>
---
 test/data/ical-005.ical | 23 +++++++++++++++++++++++
 test/ical-005.sh        | 26 ++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)
 create mode 100644 test/data/ical-005.ical
 create mode 100755 test/ical-005.sh

(limited to 'test')

diff --git a/test/data/ical-005.ical b/test/data/ical-005.ical
new file mode 100644
index 0000000..5f20f48
--- /dev/null
+++ b/test/data/ical-005.ical
@@ -0,0 +1,23 @@
+BEGIN:VCALENDAR
+VERSION:2.0
+BEGIN:VEVENT
+SUMMARY:All day
+DTSTART;VALUE=DATE:20131003
+DTEND;VALUE=DATE:20131004
+END:VEVENT
+BEGIN:VEVENT
+SUMMARY:Two days
+DTSTART;VALUE=DATE:20131003
+DTEND;VALUE=DATE:20131005
+END:VEVENT
+BEGIN:VEVENT
+SUMMARY:On day 1
+DTSTART;VALUE=DATE:20131003
+DTEND;VALUE=DATE:20131004
+TRANSP:TRANSPARENT
+END:VEVENT
+BEGIN:VEVENT
+SUMMARY:On day 2
+DTSTART;VALUE=DATE:20131003
+END:VEVENT
+END:VCALENDAR
diff --git a/test/ical-005.sh b/test/ical-005.sh
new file mode 100755
index 0000000..59c08c8
--- /dev/null
+++ b/test/ical-005.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+
+if [ "$1" = 'actual' ]; then
+  mkdir .calcurse || exit 1
+  cp "$DATA_DIR/conf" .calcurse || exit 1
+  "$CALCURSE" -D "$PWD/.calcurse" -i "$DATA_DIR/ical-005.ical"
+  "$CALCURSE" -D "$PWD/.calcurse" -s10/03/2013 -r3
+  rm -rf .calcurse || exit 1
+elif [ "$1" = 'expected' ]; then
+  cat <<EOD
+Import process report: 0030 lines read
+0 apps / 4 events / 0 todos / 0 skipped
+10/03/13:
+ * Two days
+ * All day
+ * On day 1
+ * On day 2
+
+10/04/13:
+ * Two days
+EOD
+else
+  ./run-test "$0"
+fi
-- 
cgit v1.2.3-70-g09d2